Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026574
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2014-05-16 13:122014-06-17 07:30
ReportermaiteView Statuspublic 
Assigned Torafaroda 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisione228a576ef80
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026574: Payment Report should consider Payment Method set in Order/InvoicePayment Plan tab instead of Header window

DescriptionUser can "Modify Payment Plan" of an invoice and set different Payment Method value. Then, when running Payment Report, invoice should be considered based on that new Payment Method information
Steps To Reproduce1. As system administrator, access to Window, Tabs and fields and display "Modify payment plan" button in Payment Plan tab of Purchase Invoice window
2. Logout and login again
3. Register new Purchase Invoice with any line and process
4. Run "modify payment plan" process and change payment method to "B". Save
5. Run "Payment Report" filtering by date and payment report B and realize that purchase invoice does not appear
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068076)
hgbot (developer)
2014-06-16 19:23

Repository: erp/devel/pi
Changeset: e228a576ef807b9729b7296483f3858b0042529e
Author: Rafa Roda Palacios <rafa.roda <at> ubiquads.com>
Date: Mon Jun 16 10:46:03 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e228a576ef807b9729b7296483f3858b0042529e [^]

Fixes issue 26574 Fixed the Payment Method filter in the Payment Report

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0068077)
rafaroda (developer)
2014-06-16 19:24

1) Follow the steps of issue to be able to display payment plan

2) Find in the following images the purchase invoice created with 3 lines in the payment plan: 2 with Payment Method = Cheque and 1 with Payment Method = Transferencia (the same as in the invoice header) https://drive.google.com/folderview?id=0B649lz4ZYJcHa2xBTm5jTy1mVUU&usp=sharing [^]

3) Without the fix, when launching Payment Report
* With Payment Method = Cheque nothing appears
* With Payment Method = Transferencia, the 3 lines appear

4) With the fix, when launching Payment Report
* With Payment Method = Cheque, 2 lines appear
* With Payment Method = Transferencia, 1 line appears
(0068083)
hudsonbot (developer)
2014-06-17 03:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f0a8426c68e6 [^]
Maturity status: Test
(0068084)
AtulOpenbravo (developer)
2014-06-17 07:30

Verified

- Issue History
Date Modified Username Field Change
2014-05-16 13:12 maite New Issue
2014-05-16 13:12 maite Assigned To => dmiguelez
2014-05-16 13:12 maite Modules => Advanced Payables and Receivables Mngmt
2014-05-16 13:12 maite Triggers an Emergency Pack => No
2014-05-16 13:12 maite Assigned To dmiguelez => jonalegriaesarte
2014-05-16 13:13 maite Issue Monitored: networkb
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-06-16 08:45 rafaroda Assigned To pramakrishnan => rafaroda
2014-06-16 08:45 rafaroda Status new => scheduled
2014-06-16 19:23 hgbot Checkin
2014-06-16 19:23 hgbot Note Added: 0068076
2014-06-16 19:23 hgbot Status scheduled => resolved
2014-06-16 19:23 hgbot Resolution open => fixed
2014-06-16 19:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e228a576ef807b9729b7296483f3858b0042529e [^]
2014-06-16 19:24 rafaroda Note Added: 0068077
2014-06-17 03:53 hudsonbot Checkin
2014-06-17 03:53 hudsonbot Note Added: 0068083
2014-06-17 07:30 AtulOpenbravo Note Added: 0068084
2014-06-17 07:30 AtulOpenbravo Status resolved => closed
2014-06-17 07:30 AtulOpenbravo Fixed in Version => pi


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker